package com.pcloud.book.rightsSetting.mapper;

import com.pcloud.book.rightsSetting.dto.ReadTypeCountDTO;
import com.pcloud.book.rightsSetting.entity.RightsSettingTitle;
import java.util.List;
import java.util.Map;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;


@Component
public interface RightsSettingTitleMapper {
    int insert(RightsSettingTitle record);

    int insertSelective(RightsSettingTitle record);

    void deleteByRightSettingId(Long rightsSettingId);

    void batchInsert(List<RightsSettingTitle> rightsSettingTitles);

    void batchUpdate(List<RightsSettingTitle> rightsSettingTitles);

    List<RightsSettingTitle> getByRightSettingId(@Param("rightsSettingId")Long rightsSettingId, @Param("readType")Integer readType);

    RightsSettingTitle getByRightSettingIdAndType(@Param("rightsSettingId") Long rightsSettingId, @Param("type") Integer type, @Param("readType")Integer readType);

    ReadTypeCountDTO getCount4Title(Long rightsSettingId);

    List<RightsSettingTitle> getByRightSettingIdAndTypes(@Param("rightsSettingId")Long rightsSettingId, @Param("types") List<Integer> types);
}